<?
require_once '../core/system.php';
require_once 'sys.php';
echo only_reg();
if($user['clan_id'] == 0) {
    header("Location: /clan/");
    exit();
}

if(isset($_GET['agree'])) {
    if($user['clan_prava'] == 4) {
        mysql_query("DELETE FROM `clans` WHERE `id` = '".$user['clan_id']."'");
        mysql_query("UPDATE `user` SET `clan_id` = '0', `clan_prava` = '0' WHERE `clan_id` = '".$user['clan_id']."'");
    } else {
        $text = '<img src="/images/icon/race/'.$user['storona'].'.png" /> <a href="/user/'.$user['id'].'/">'.$user['nick'].'</a> покинул клан';
        mysql_query("INSERT INTO `jr_rekrut` SET `clan_id` = '".$user['clan_id']."', `text` = '$text'");
        mysql_query("UPDATE `user` SET `clan_id` = '0', `clan_prava` = '0' WHERE `id` = '".$user['id']."'");
    }
    header("Location: /clan/");
    exit();
}

$row = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".(int) $user['clan_id']."' LIMIT 1"));
$header = 'Выход из клана '.htmlspecialchars($row['name']);
require_once '../core/head.php';

if($user['clan_prava'] == 4) {
    echo '<div class="player"><b>Внимание!</b>
    Вы являетесь лидером клана '.htmlspecialchars($row['name']).'<br />
    При выходе из клана он будет полностью и безвозвратно расформирован!<br />
    Вы уверены что хотите расформировать свой клан?<br />
    <a class="btn" href="leave.php?agree"><span class="end"><span class="label">Расформировать</span></span></a> 
    <a class="btn" href="/clan/"><span class="end"><span class="label">Нет</span></span></a>';
} else {
    echo '<div class="player">
    Вы действительно хотите покинуть свой клан?<br />
    <a class="btn" href="leave.php?agree"><span class="end"><span class="label">Покинуть</span></span></a> 
    <a class="btn" href="/clan/"><span class="end"><span class="label">Нет</span></span></a>';
}

include '../core/foot.php';